> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstanswer.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get competitor category details

> Returns the category and its monitored competitors. `pagination` refers to `data.competitors`.



## OpenAPI

````yaml /pt/api-reference/openapi.yaml get /v1/competitor-categories/{competitor_category_id}/
openapi: 3.0.3
info:
  title: First Answer API
  version: 1.0.0
servers:
  - url: https://api.firstanswer.ai
    description: Production
security: []
tags:
  - name: Brands
    description: Manage brands in your workspace
  - name: Groups
    description: Organize prompts into groups
  - name: Monitored Competitors
    description: Track competitor visibility
  - name: Competitor Categories
    description: Group monitored competitors into categories
  - name: Monitored Prompts
    description: Track and analyze AI prompts
  - name: Cited Sources
    description: View sources cited in AI responses
  - name: Action Plans
    description: Manage optimization action plans
  - name: Dashboard
    description: Aggregated metrics and insights
paths:
  /v1/competitor-categories/{competitor_category_id}/:
    get:
      tags:
        - Competitor Categories
      summary: Get competitor category details
      description: >-
        Returns the category and its monitored competitors. `pagination` refers
        to `data.competitors`.
      operationId: competitor_categories_retrieve_2
      parameters:
        - in: path
          name: competitor_category_id
          schema:
            type: integer
          required: true
        - in: query
          name: brand_id
          schema:
            type: integer
          required: true
        - in: query
          name: page
          schema:
            type: integer
        - in: query
          name: per_page
          schema:
            type: integer
            maximum: 100
            minimum: 1
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorCategoryDetails'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompetitorCategoryDetails:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CompetitorCategoryWithCompetitors'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      required:
        - data
        - pagination
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
    CompetitorCategoryWithCompetitors:
      type: object
      description: Competitor category with one page of its monitored competitors.
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 60
        description:
          type: string
          nullable: true
          maxLength: 500
        color:
          type: string
          maxLength: 20
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        competitors:
          type: array
          items:
            $ref: '#/components/schemas/MonitoredCompetitor'
          readOnly: true
      required:
        - competitors
        - created_at
        - id
        - name
        - updated_at
    PaginationInfo:
      type: object
      properties:
        current_page:
          type: integer
        per_page:
          type: integer
        total_pages:
          type: integer
        total_records:
          type: integer
      required:
        - current_page
        - per_page
        - total_pages
        - total_records
    MonitoredCompetitor:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        website:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        created_at:
          type: string
          format: date-time
          readOnly: true
        categories:
          type: array
          items:
            $ref: '#/components/schemas/MonitoredCompetitorCategory'
          readOnly: true
          description: >-
            Competitor categories this competitor belongs to. Use their `id` in
            the `category_ids` filter of the endpoints that return competitor
            data.
      required:
        - categories
        - created_at
        - id
        - name
    MonitoredCompetitorCategory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 60
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.